<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	 
	<!-- using us-ascii encoding because special characters like &#49; would be 
		 replaced during transformation when using UTF-8 -->
	<xsl:output method="html" encoding="us-ascii" doctype-public="-//W3C//DTDXHTML 1.0 Transitional//EN" doctype-system="https://www.w3.org/TR/html4/strict.dtd" />
	
    <!-- string parameters -->	
    <xsl:param name="view.details.headimage"/>		
	<xsl:param name="view.details.base"/>
	<xsl:param name="view.details.id"/>
	<xsl:param name="view.details.section"/>
	<xsl:param name="entry.language"/>
	<xsl:param name="tooltip-xml"/>
			
	<xsl:template match="ENTRY">
		<xsl:text>
		<script>
function setZoomIn(el) {
           var origin = "0% 0% 0px";
           var classOut = "TabA";
           var classIn = "TabA";
           var titleOut = "Zoom Out";
           var titleIn = " Zoom In";
           var width = el.getAttribute("style");
	   width = width.replace(/width:[ ]*/, "");
	   width = width.replace(/; transform: scale\([0-9\.]+\); transform-origin: 0% 0% 0px;/, "");
           if (width == "95%") {
               zoom = 1.2;
               wid = "80%";
              }
           if (width == "80%") {
               zoom = 1.4;
               wid = "70%";
              }
            if (width == "70%") {
               zoom = 1.6;
               wid = "60%";
               classIn = "TabD";
               titleIn = "";
               }
            if (width == "60%") {
               zoom = 1.6;
               wid = "60%";
               classIn = "TabD";
               titleIn = "";
               }
            s = "scale(" + zoom + ")";
	    el.style["transform"] = s;
	    el.style["transformOrigin"] = origin;
	    el.style["webkitTransform"] = s;
	    el.style["webkitTransformOrigin"] = origin;
	    el.style["width"] = wid;
	    document.getElementById("zoomin").className = classIn;
	    document.getElementById("zoomout").className = classOut;
	    document.getElementById("zoomin").title = titleIn;
	    document.getElementById("zoomout").title = titleOut;
}
function setZoomOut(el) {
           var origin = "0% 0% 0px";
           var classOut = "TabA";
           var classIn = "TabA";
           var titleOut = "Zoom Out";
           var titleIn = " Zoom In";
           var width = el.getAttribute("style");
	   width = width.replace(/width:[ ]*/, "");
	   width = width.replace(/; transform: scale\([0-9\.]+\); transform-origin: 0% 0% 0px;/, "");
            if (width == "95%") {
               zoom = 1;
               wid = "95%";
               classOut = "TabD";
               titleOut = "";
               }
            if (width == "80%") {
               zoom = 1;
               wid = "95%";
               classOut = "TabD";
               titleOut = "";
               }
            if (width == "70%") {
               zoom = 1.2;
               wid = "80%";
               }
            if (width == "60%") {
               zoom = 1.4;
               wid = "70%";
               }
            s = "scale(" + zoom + ")";
	    el.style["transform"] = s;
	    el.style["transformOrigin"] = origin;
	    el.style["webkitTransform"] = s;
	    el.style["webkitTransformOrigin"] = origin;
	    el.style["width"] = wid;
	    document.getElementById("zoomin").className = classIn;
	    document.getElementById("zoomout").className = classOut;
	    document.getElementById("zoomin").title = titleIn;
	    document.getElementById("zoomout").title = titleOut;
}
		</script>
		</xsl:text>
	<table border="0" cellpadding="0" cellspacing="0" width="100%" style="height:100%; border:0">
	<tr>
		<td class="Tasti"><p class="Fascia"><span style="line-height:20pt">DIZIONARIO <span style="background:#B60000">&#160;TECNICO RUSSO </span>&#160;HOEPLI</span>
<a class="TabD" style="float:right" onclick="setZoomOut(document.getElementById('entry')); return false" id="zoomout" title="">Z–</a>
<a class="TabA" style="float:right" onclick="setZoomIn(document.getElementById('entry')); return false" id="zoomin" title=" Zoom In ">Z+</a></p></td>
	</tr>
				<tr>				
					<td valign="top" height="100%">
		<div class="Entry" id="entry" style="width:95%">
						<xsl:apply-templates select="HEAD" />
						<xsl:apply-templates select="BODY" />
						</div>
				</td></tr>
			</table>
	</xsl:template>

	<xsl:template match="HEAD">
		<xsl:variable name="image"><xsl:value-of select="$view.details.headimage"/></xsl:variable>
		<img src="hptr/images/{$image}" alt=""/>&#160;<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="BODY">
			<xsl:apply-templates />	
	</xsl:template>

	<xsl:template match="PartVerb">
		<xsl:apply-templates />	
	</xsl:template>

	<xsl:template match="PartFras">
		<xsl:apply-templates />	
	</xsl:template>
	<!-- paragraph tags  -->
	<xsl:template match="Translation">
			<xsl:if test="string-length(@Number) &gt; 0">
						<P class="Translation"><span class="Num"><xsl:value-of select="@Number" />&#160;</span>
						<xsl:apply-templates /></P>
			</xsl:if>	
			<xsl:if test="string-length(@Number) = 0">
				<P class="Translation">
					<xsl:apply-templates />
				</P>
			</xsl:if>	
	</xsl:template>

	<xsl:template match="Phrase">
		<P class="Phr">
			<xsl:apply-templates />
		</P>
	</xsl:template>
	
	
	<!-- Character replacments -->
	<xsl:template match="HwHid">
		<!-- ignora -->
	</xsl:template>
	<xsl:template match="Xword">
		<xsl:if test="string-length(@Link) &gt; 0">
		<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
		<a class="Xword" href="javascript:detail('{$link}')"><xsl:apply-templates /></a>
		</xsl:if>
	</xsl:template>
	<xsl:template match="Cat">
		<xsl:variable name="tooltip"><xsl:value-of select='document(concat($tooltip-xml, "Explosion-Cat.xml"))/tooltips/Cat[@short=current()]/@long'/></xsl:variable>
		<span class="Cat" title="{$tooltip}"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Gram">
		<xsl:variable name="tooltip"><xsl:value-of select='document(concat($tooltip-xml, "Explosion-Gram.xml"))/tooltips/Gram[@short=current()]/@long'/></xsl:variable>
		<span class="Gram" title="{$tooltip}"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="HwGram">
		<xsl:variable name="tooltip"><xsl:value-of select='document(concat($tooltip-xml, "Explosion-HwGram.xml"))/tooltips/HwGram[@short=current()]/@long'/></xsl:variable>
		<span class="HwGram" title="{$tooltip}"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Hword">
		<span class="Hword"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="s">
		<xsl:variable name="tooltip"><xsl:value-of select='document(concat($tooltip-xml, "Explosion-S.xml"))/tooltips/s[@short=current()]/@long'/></xsl:variable>
		<span class="s" title="{$tooltip}"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="HwordV">
		<span class="HwordV"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="SubHword">
		<span class="SubHword"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="nix">
		<i><xsl:apply-templates /></i>
	</xsl:template>

	<xsl:template match="HL">
		<xsl:variable name="hlidx1"><xsl:value-of select="attribute::index"/></xsl:variable>
		<xsl:variable name="nodeName" select="name()"></xsl:variable>
		<xsl:variable name="hlidx2"><xsl:value-of select="count(preceding::node()[name() = $nodeName]) + 1"/></xsl:variable>
		<a name="hl_{$hlidx1}_{$hlidx2}_{$view.details.id}"></a>
		<span class="HL"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="TT">
		<!--  <xsl:variable name="tt"><xsl:value-of select="."/></xsl:variable> -->
		<!--  <span onmouseover="return escape('This is a test')" title="{$tt}" alt="{$tt}"><xsl:apply-templates /></span>  -->
		<!--  <span onclick="alert('{$tt}')"><xsl:apply-templates /></span> -->
		<span class="tt"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="b">
		<b><xsl:apply-templates /></b>
	</xsl:template>	
	<xsl:template match="i">
		<i><xsl:apply-templates /></i>
	</xsl:template>	
	<xsl:template match="sub">
		<sub><xsl:apply-templates /></sub>
	</xsl:template>	

</xsl:stylesheet>
